io.vertx.rxjava.sqlclient

## Class SqlClient

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient

- Direct Known Subclasses:
    Pool, SqlConnection

      public class SqlClient
      extends Object

  Defines common SQL client operations with a database server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SqlClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlClient(Object delegate)`
    `SqlClient(SqlClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the client and release the associated resources.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the client and release the associated resources.
    `boolean` | `equals(Object o)`
    `SqlClient` | `getDelegate()`
    `int` | `hashCode()`
    `static SqlClient` | `newInstance(SqlClient arg)`
    `PreparedQuery<RowSet<Row>>` | `preparedQuery(String sql)` Create a prepared query, one of the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.rxjava.sqlclient.Tuple>, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` methods must be called to execute the query.
    `PreparedQuery<RowSet<Row>>` | `preparedQuery(String sql, PrepareOptions options)` Create a prepared query, one of the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.rxjava.sqlclient.Tuple>, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` methods must be called to execute the query.
    `Query<RowSet<Row>>` | `query(String sql)` Create a query, the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` method must be called to execute the query.
    `Single<Void>` | `rxClose()` Close the client and release the associated resources.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SqlClient> __TYPE_ARG

  - ### Constructor Detail

    - #### SqlClient

          public SqlClient(SqlClient delegate)

    - #### SqlClient

          public SqlClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SqlClient getDelegate()

    - #### query

          public Query<RowSet<Row>> query(String sql)

      Create a query, the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` method must be called to execute the query.
      Parameters:
        `sql` -
      Returns:
        the query

    - #### preparedQuery

          public PreparedQuery<RowSet<Row>> preparedQuery(String sql)

      Create a prepared query, one of the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.rxjava.sqlclient.Tuple>, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` methods must be called to execute the query.
      Parameters:
        `sql` -
      Returns:
        the prepared query

    - #### preparedQuery

          public PreparedQuery<RowSet<Row>> preparedQuery(String sql,
                                                          PrepareOptions options)

      Create a prepared query, one of the `Query.execute(io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` or `PreparedQuery.executeBatch(java.util.List<io.vertx.rxjava.sqlclient.Tuple>, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>>)` methods must be called to execute the query.
      Parameters:
        `sql` -
        `options` -
      Returns:
        the prepared query

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the client and release the associated resources.
      Parameters:
        `handler` - the completion handler

    - #### close

          public void close()

      Close the client and release the associated resources.

    - #### rxClose

          public Single<Void> rxClose()

      Close the client and release the associated resources.
      Returns:

    - #### newInstance

          public static SqlClient newInstance(SqlClient arg)

Copyright © 2024 Eclipse. All rights reserved.